Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.logging
Class StandardOutputLoggingAdapter

    java.lang.Object
      java.io.OutputStream
          org.gradle.logging.StandardOutputLoggingAdapter

    class StandardOutputLoggingAdapter
    extends java.io.OutputStream

author:
  Hans Dockter

Constructor Summary
`StandardOutputLoggingAdapter(Logger log, Level level)` Creates the OutputStream to flush to the given Category.
`StandardOutputLoggingAdapter(Logger log, Level level, int bufferLength)` Creates the OutputStream to flush to the given Category.

Method Summary
`void` | `close()` Closes this output stream and releases any system resources associated with this stream.
`void` | `flush()` Flushes this output stream and forces any buffered output bytes to be written out.
`Level` | `getLevel()`
`Marker` | `getMarker()`
`void` | `setLevel(Level level)`
`void` | `setMarker(Marker marker)`
`void` | `write(int b)` Writes the specified byte to this output stream.

Methods inherited from class java.io.OutputStream
write, write, write, flush, close, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### StandardOutputLoggingAdapter

    public StandardOutputLoggingAdapter(Logger log, Level level)

  Creates the OutputStream to flush to the given Category.
  param:
    log the Logger to write to
  param:
    level the Level to use when writing to the Logger
  throws:
    IllegalArgumentException if cat == null or priority == null

### StandardOutputLoggingAdapter

    public StandardOutputLoggingAdapter(Logger log, Level level, int bufferLength)

  Creates the OutputStream to flush to the given Category.
  param:
    log the Logger to write to
  param:
    level the Level to use when writing to the Logger
  param:
    bufferLength The initial buffer length to use
  throws:
    IllegalArgumentException if cat == null or priority == null

Method Detail

### close

    public void close()

  Closes this output stream and releases any system resources associated with this stream. The general contract of `close` is that it closes the output stream. A closed stream cannot perform output operations and cannot be reopened.

### flush

    public void flush()

  Flushes this output stream and forces any buffered output bytes to be written out. The general contract of `flush` is that calling it is an indication that, if any bytes previously written have been buffered by the implementation of the output stream, such bytes should immediately be written to their intended destination.

### getLevel

    public Level getLevel()

### getMarker

    public Marker getMarker()

### setLevel

    public void setLevel(Level level)

### setMarker

    public void setMarker(Marker marker)

### write

    public void write(int b)

  Writes the specified byte to this output stream. The general contract for `write` is that one byte is written to the output stream. The byte to be written is the eight low-order bits of the argument `b`. The 24 high-order bits of `b` are ignored.
  param:
    b the `byte` to write
  throws:
    java.io.IOException if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

Groovy Documentation